Loading...
Searching...
No Matches
Pattern Struct Reference

`#include <openbabel/parsmart.h>`

## Public Attributes

int | aalloc
int | acount
int | balloc
int | bcount
bool | ischiral
AtomSpec * | atom
BondSpec * | bond
int | parts
bool | hasExplicitH

## Detailed Description

A SMARTS parser internal pattern.

## Member Data Documentation

## aalloc

int aalloc

Referenced by OpenBabel::AllocPattern(), OpenBabel::CreateAtom(), and OpenBabel::FreePattern().

## acount

int acount

Referenced by OpenBabel::AllocPattern(), OpenBabel::CopyPattern(), OpenBabel::CreateAtom(), OBSmartsMatcher::FastSingleMatch(), OpenBabel::FreePattern(), OBSmartsMatcher::match(), OBSSMatch::OBSSMatch(), OBSmartsPattern::ParseSMARTSPart(), OBSmartsMatcher::SetupAtomMatchTable(), and OBSmartsPattern::SMARTSParser().

## balloc

int balloc

Referenced by OpenBabel::AllocPattern(), OpenBabel::CreateBond(), and OpenBabel::FreePattern().

## bcount

int bcount

Referenced by OpenBabel::AllocPattern(), OpenBabel::CopyPattern(), OpenBabel::CreateBond(), OBSmartsMatcher::FastSingleMatch(), OpenBabel::FreePattern(), and OpenBabel::MarkGrowBonds().

## ischiral

bool ischiral

Referenced by OBSmartsMatcher::match(), and OBSmartsPattern::ParseSMARTSPart().

## atom

AtomSpec* atom

Referenced by OpenBabel::AllocPattern(), OpenBabel::CopyPattern(), OpenBabel::CreateAtom(), OBSmartsMatcher::FastSingleMatch(), OpenBabel::FreePattern(), OBSmartsMatcher::match(), OBSmartsPattern::ParseSMARTSPart(), OBSmartsMatcher::SetupAtomMatchTable(), and OBSmartsPattern::SMARTSParser().

## bond

BondSpec* bond

Referenced by OpenBabel::AllocPattern(), OpenBabel::CopyPattern(), OpenBabel::CreateBond(), OBSmartsMatcher::FastSingleMatch(), OpenBabel::FreePattern(), and OpenBabel::MarkGrowBonds().

## parts

int parts

Referenced by OpenBabel::AllocPattern(), OpenBabel::CopyPattern(), and OBSmartsPattern::ParseSMARTSPattern().

## hasExplicitH

bool hasExplicitH

Referenced by OpenBabel::AllocPattern(), and OBSmartsPattern::SMARTSParser().

The documentation for this struct was generated from the following file:

- parsmart.h